commit:     6026d709d99dfeaf09530551cf21668dc92c3aa3
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  7 04:37:15 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Aug  7 04:37:15 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6026d709

dev-ruby/hashdiff: add 0.3.5

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ruby/hashdiff/Manifest              |  1 +
 dev-ruby/hashdiff/hashdiff-0.3.5.ebuild | 25 +++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/dev-ruby/hashdiff/Manifest b/dev-ruby/hashdiff/Manifest
index f95cb59cf69..f29fee1c628 100644
--- a/dev-ruby/hashdiff/Manifest
+++ b/dev-ruby/hashdiff/Manifest
@@ -1 +1,2 @@
 DIST hashdiff-0.3.4.gem 15872 SHA256 
0aac86b2486ad06e5496ac404b3c2f115b31d5ba1e110998fa0aa675e691d0d8 SHA512 
d1315b4010d2ed444ab257f13d949bb46924ad2d6b6d397cd496a297a502ceabc1518d077e137992443234f292489150cc21dcbc348358b22ef6d6741144b7b6
 WHIRLPOOL 
9532227e8cb9dc6951cca15c5762e1aecb89e913bbfb74c10b7164367147f129bd09d5191ec029bc20dc7b74abe10f2fdd0b6d58d131ca58e09bab9260927298
+DIST hashdiff-0.3.5.gem 16896 SHA256 
e71f28e8c1b1dabf049d59a994e3ccadc7400673bb545eaf1628c5a5da02e310 SHA512 
f1ab73ec017c82ec1494e81c3c362244bd43734b295061e5220492b93517ac3a7f8e18a11b595160aca79f9016783291a10cde0a6a6218b08f9ff2f231f9f328
 WHIRLPOOL 
c63b7dcb5cccbaa0cbe8f5bdac16ae41c1970ce79fd7f537be1b9662055ecdbf64299fb467baddb236b87cb385ba5b8e2e0ccfd1c4e3163d19dfc5c92d40a333

diff --git a/dev-ruby/hashdiff/hashdiff-0.3.5.ebuild 
b/dev-ruby/hashdiff/hashdiff-0.3.5.ebuild
new file mode 100644
index 00000000000..8c46ee6f76a
--- /dev/null
+++ b/dev-ruby/hashdiff/hashdiff-0.3.5.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="changelog.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple Hash extension to make working with nested hashes easier"
+HOMEPAGE="https://github.com/liufengyun/hashdiff";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+       sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
+}

Reply via email to